# A/H 溢价盘中数据

`GET` `/v1/quote/ahpremium/timeshares`

获取两地上市证券的盘中 A/H 溢价时间序列数据。

## Parameters

### Query Parameters

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `symbol` | string | Yes | 两地上市股票的港股代码，例如 `939.HK` |
| `days` | integer | Yes | 返回的日内交易日数量，例如 `1` |

## Request Example

```bash
curl --request GET \
  --url 'https://openapi.longbridge.com/v1/quote/ahpremium/timeshares?symbol=<symbol>' \
  --header 'Authorization: Bearer <access_token>'
```

## Response

### Response Properties

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `klines` | object[] | Yes | 日内 A/H 溢价 K 线数据 |
| `└ timestamp` | string | No | Unix 时间戳 |
| `└ ahpremium_rate` | string | No | A/H 溢价率 |
| `└ aprice` | string | No | A 股价格（CNY） |
| `└ apreclose` | string | No | A 股昨收价（CNY） |
| `└ hprice` | string | No | H 股价格（HKD） |
| `└ hpreclose` | string | No | H 股昨收价（HKD） |
| `└ currency_rate` | string | No | CNH/HKD 汇率 |
| `└ price_spread` | string | No | 价差 |

### Response JSON Example

```json
{
  "code": 0,
  "message": "success",
  "data": {
    "klines": [
      {
        "ahpremium_rate": "0.1523",
        "apreclose": "24.80",
        "aprice": "25.10",
        "currency_rate": "0.8920",
        "hpreclose": "19.20",
        "hprice": "19.50",
        "price_spread": "1.23",
        "timestamp": "1778198400"
      }
    ]
  }
}
```
